> For the complete documentation index, see [llms.txt](https://glyue.docs.sandboxbanking.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://glyue.docs.sandboxbanking.com/reference/integration_components/validationrule.md).

# Validation Rule

## Parameters

### integration

<mark style="color:blue;">`relationship`</mark> - <mark style="color:red;">`required`</mark>

### servicerequest

<mark style="color:blue;">`relationship`</mark> - <mark style="color:red;">`required`</mark>

### sequence

<mark style="color:yellow;">`integer`</mark> - <mark style="color:red;">`required`</mark>

### type

<mark style="color:yellow;">`string`</mark> - <mark style="color:red;">`required`</mark>

* `INPUT`: applies on the input payload received by the integration
* `RESPONSE`: applies to payload received from adapter
* `REQUEST`: applies to payload sent to adapter

### field

<mark style="color:yellow;">`boolean`</mark> - <mark style="color:red;">`required`</mark>

`default`: True Validation rule is assesed on the boolean value returned from `field`.

### rule

<mark style="color:yellow;">`code`</mark> - <mark style="color:red;">`required`</mark>

### apply\_if

<mark style="color:yellow;">`boolean`</mark> - <mark style="color:orange;">`optional`</mark>

`default`: True. Will only apply the validation rule if these resolves to True.

### apply\_to\_each

<mark style="color:yellow;">`iterable`</mark> - <mark style="color:red;">`required`</mark>

### abort\_on\_failure

<mark style="color:yellow;">`boolean`</mark> - <mark style="color:red;">`required`</mark>

### valuemappingset

<mark style="color:blue;">`relationship`</mark> - <mark style="color:orange;">`optional`</mark>

### valuemappingset\_side

<mark style="color:yellow;">`string`</mark> - <mark style="color:orange;">`optional`</mark>

### max\_length

### message\_substitution\_name

### Validation Rule Hooks

These are code blocks that are run during processes of the validation rule. See the [Integration Life Cycle Diagram](https://github.com/AlphaPack/glyue-docs/blob/main/media/integration_life_cycle.svg) for timing of the hooks.

* pass\_hook
* fail\_hook


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://glyue.docs.sandboxbanking.com/reference/integration_components/validationrule.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
